puppetmaster_3.4.3-1ubuntu1.3_all.deb


Advertisement

Description

puppetmaster - Centralized configuration management - master startup and compatibility scripts

Property Value
Distribution Ubuntu 14.04 LTS (Trusty Tahr)
Repository Ubuntu Updates Main i386
Package filename puppetmaster_3.4.3-1ubuntu1.3_all.deb
Package name puppetmaster
Package version 3.4.3
Package release 1ubuntu1.3
Package architecture all
Package type deb
Category admin
Homepage http://projects.puppetlabs.com/projects/puppet
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 10.92 KB
Installed size 90.00 KB
This package contains the startup and compatibility scripts for the puppet
master, which is the server hosting manifests and files for the puppet nodes.
Puppet lets you centrally manage every important aspect of your system
using a cross-platform specification language that manages all the
separate elements normally aggregated in different files, like users,
cron jobs, and hosts, along with obviously discrete elements like
packages, services, and files.
Puppet's simple declarative specification language provides powerful
classing abilities for drawing out the similarities between hosts while
allowing them to be as specific as necessary, and it handles dependency
and prerequisite relationships between objects clearly and explicitly.

Alternatives

Package Version Architecture Repository
puppetmaster_3.4.3-1ubuntu1.3_all.deb 3.4.3 all Ubuntu Updates Main
puppetmaster_3.4.3-1_all.deb 3.4.3 all Ubuntu Main
puppetmaster_3.4.3-1_all.deb 3.4.3 all Ubuntu Main
puppetmaster - - -

Requires

Name Value
init-system-helpers >= 1.13~
puppetmaster-common = 3.4.3-1ubuntu1.3
ruby -
ruby-interpreter -

Replaces

Name Value
puppet << 0.24.7-1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package puppetmaster_3.4.3-1ubuntu1.3_all.deb
Source Package puppet

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install puppetmaster deb package:
    # sudo apt-get install puppetmaster

Files

Path
/etc/default/puppetmaster
/etc/init.d/puppetmaster
/etc/logrotate.d/puppetmaster
/lib/systemd/system/puppetmaster.service
/usr/share/doc/puppetmaster/NEWS.Debian.gz
/usr/share/doc/puppetmaster/README.Debian
/usr/share/doc/puppetmaster/changelog.Debian.gz
/usr/share/doc/puppetmaster/copyright

Changelog

2018-02-09 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
puppet (3.4.3-1ubuntu1.3) trusty-security; urgency=medium
* SECURITY UPDATE: insecure permissions when unpacking tarballs
- debian/patches/CVE-2017-10689-1.patch: reset permissions when
unpacking tar in lib/puppet/module_tool/tar/mini.rb, fix test in
spec/unit/module_tool/tar/mini_spec.rb.
- debian/patches/CVE-2017-10689-2.patch: use Integer instead of Fixnum
in lib/puppet/module_tool/tar/mini.rb.
- CVE-2017-10689
2017-06-02 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
puppet (3.4.3-1ubuntu1.2) trusty-security; urgency=medium
* SECURITY UPDATE: untrusted search path vulnerability
- debian/patches/CVE-2014-3248.patch: remove current directory from
load path in bin/puppet.
- CVE-2014-3248
* SECURITY UPDATE: code execution via unsafe fact formats
- debian/patches/CVE-2017-2295.patch: reject all fact formats except
PSON in lib/puppet/indirector/catalog/compiler.rb, added tests to
spec/unit/indirector/catalog/compiler_spec.rb.
- CVE-2017-2295
2015-02-06 - Bartosz Cisek <bartoszcisek@bartoszcisek.pl>
puppet (3.4.3-1ubuntu1.1) trusty; urgency=medium
* fix wrong process name match in logrotate script (LP: #1410383)
2015-02-04 - Felipe Reyes <felipe.reyes@canonical.com>
puppet (3.4.3-1ubuntu1) trusty; urgency=medium
* Wait until the puppet and puppetmaster daemons are actually stopped
before returning (LP: #1315021)
2014-02-20 - Stig Sandbeck Mathisen <ssm@debian.org>
puppet (3.4.3-1) unstable; urgency=medium
[ Jonas Genannt ]
* [57515db] d/control: added ruby-rrd as primary Suggests, left librrd-ruby
for easy backporting.
[ Stig Sandbeck Mathisen ]
* Imported upstream release 3.4.3
2014-01-07 - Stig Sandbeck Mathisen <ssm@debian.org>
puppet (3.4.2-1) unstable; urgency=medium
* Imported upstream release 3.4.2
2013-12-26 - Stig Sandbeck Mathisen <ssm@debian.org>
puppet (3.4.1-1) unstable; urgency=high
* Imported upstream release 3.4.1 (CVE-2013-4969)
2013-12-20 - Stig Sandbeck Mathisen <ssm@debian.org>
puppet (3.4.0-1) unstable; urgency=medium
* Imported upstream release 3.4.0
- Update puppetmaster passenger template source path
- Refresh quilt patches
* Include upstream provided puppet ldap schema (Closes: #730627)
* Update dependencies: add ruby-rgen and ruby-rack
- have puppet-testsuite recommend ruby-rgen until it has passed NEW
* Make uscan verify new upstream versions automatically with GnuPG
* Update DEP-8 tests, use sharness
* Bump standards version (no changes)
2013-10-08 - Stig Sandbeck Mathisen <ssm@debian.org>
puppet (3.3.1-1) unstable; urgency=low
* Imported upstream release 3.3.1
2013-09-15 - Stig Sandbeck Mathisen <ssm@debian.org>
puppet (3.3.0-1) unstable; urgency=low
* Imported upstream release 3.3.0
* Move dependency on ruby-hiera from puppetmaster-common to puppet-common
(Closes: #712780)
* Drop "duplicate-resource" patch included in current upstream version
* debian/control: Clean up old dependencies, remove unused headers
* Improve systemd packaging, use dh-systemd.
Thanks to Michael Stapelberg (Closes: #714202)
* Use "puppet master" to retrieve configuration for puppetmaster-passenger
(Closes: #722614)

See Also

Package Description
pyqt5-dev_5.2.1+dfsg-1ubuntu2_all.deb Development files for PyQt5
pyqt5-doc_5.2.1+dfsg-1ubuntu2_all.deb Documentation for PyQt5
pyqt5-examples_5.2.1+dfsg-1ubuntu2_all.deb Examples and demos for PyQt5
python-amqp-doc_1.3.3-1ubuntu1.1_all.deb Low-level AMQP client (Documentation)
python-amqp_1.3.3-1ubuntu1.1_all.deb Low-level AMQP client
python-appindicator_12.10.1+13.10.20130920-0ubuntu4.1_i386.deb Python bindings for libappindicator
python-apport_2.14.1-0ubuntu3.29_all.deb Python library for Apport crash report handling
python-apt-common_0.9.3.5ubuntu3_all.deb Python interface to libapt-pkg (locales)
python-apt-dev_0.9.3.5ubuntu3_all.deb Python interface to libapt-pkg (development files)
python-apt-doc_0.9.3.5ubuntu3_all.deb Python interface to libapt-pkg (API documentation)
python-apt_0.9.3.5ubuntu3_i386.deb Python interface to libapt-pkg
python-aptdaemon.gtk3widgets_1.1.1-1ubuntu5.2_all.deb Python 2 GTK+ 3 widgets to run an aptdaemon client
python-aptdaemon_1.1.1-1ubuntu5.2_all.deb Python 2 module for the server and client of aptdaemon
python-avahi_0.6.31-4ubuntu1.3_i386.deb Python utility package for Avahi
python-babel-doc_1.3+dfsg.1-2ubuntu2_all.deb tools for internationalizing Python applications - documentation
Advertisement
Advertisement